JTableHeader.AccessibleJTableHeader.AccessibleJTableHeaderEntry (Java SE 13 & JDK 13 )
Description: declaration: module: java.desktop, package: javax.swing.table, class: JTableHeader, class: AccessibleJTableHeader, class: AccessibleJTableHeaderEntry
Keywords: javax.swing.table.JTableHeader.AccessibleJTableHeader.AccessibleJTableHeaderEntry class

Module java.desktop
Package javax.swing.table

# Class JTableHeader.AccessibleJTableHeader.AccessibleJTableHeaderEntry

java.lang.Object
javax.accessibility.AccessibleContext
javax.swing.table.JTableHeader.AccessibleJTableHeader.AccessibleJTableHeaderEntry

All Implemented Interfaces:
  `Accessible`, `AccessibleComponent`

Enclosing class:
  JTableHeader.AccessibleJTableHeader

    protected class JTableHeader.AccessibleJTableHeader.AccessibleJTableHeaderEntry
    extends AccessibleContext
    implements Accessible, AccessibleComponent

This class provides an implementation of the Java Accessibility API appropriate for JTableHeader entries.

- ## Field Summary

  ### Fields declared in class javax.accessibility.AccessibleContext

  `ACCESSIBLE_ACTION_PROPERTY, ACCESSIBLE_ACTIVE_DESCENDANT_PROPERTY, ACCESSIBLE_CARET_PROPERTY, ACCESSIBLE_CHILD_PROPERTY, ACCESSIBLE_COMPONENT_BOUNDS_CHANGED, ACCESSIBLE_DESCRIPTION_PROPERTY, ACCESSIBLE_HYPERTEXT_OFFSET, ACCESSIBLE_INVALIDATE_CHILDREN, ACCESSIBLE_NAME_PROPERTY, ACCESSIBLE_SELECTION_PROPERTY, ACCESSIBLE_STATE_PROPERTY, ACCESSIBLE_TABLE_CAPTION_CHANGED, ACCESSIBLE_TABLE_COLUMN_DESCRIPTION_CHANGED, ACCESSIBLE_TABLE_COLUMN_HEADER_CHANGED, ACCESSIBLE_TABLE_MODEL_CHANGED, ACCESSIBLE_TABLE_ROW_DESCRIPTION_CHANGED, ACCESSIBLE_TABLE_ROW_HEADER_CHANGED, ACCESSIBLE_TABLE_SUMMARY_CHANGED, ACCESSIBLE_TEXT_ATTRIBUTES_CHANGED, ACCESSIBLE_TEXT_PROPERTY, ACCESSIBLE_VALUE_PROPERTY, ACCESSIBLE_VISIBLE_DATA_PROPERTY, accessibleDescription, accessibleName, accessibleParent`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AccessibleJTableHeaderEntry​(int c, JTableHeader p, JTable t)` | Constructs an AccessiblJTableHeaaderEntry

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `AccessibleComponent` | `getAccessibleComponent()` | Get the AccessibleComponent associated with this object.
  `AccessibleContext` | `getAccessibleContext()` | Get the AccessibleContext associated with this object.

  ### Methods declared in class javax.accessibility.AccessibleContext

  `addPropertyChangeListener, firePropertyChange, getAccessibleAction, getAccessibleChild, getAccessibleChildrenCount, getAccessibleDescription, getAccessibleEditableText, getAccessibleIcon, getAccessibleIndexInParent, getAccessibleName, getAccessibleParent, getAccessibleRelationSet, getAccessibleRole, getAccessibleSelection, getAccessibleStateSet, getAccessibleTable, getAccessibleText, getAccessibleValue, getLocale, removePropertyChangeListener, setAccessibleDescription, setAccessibleName, setAccessibleParent`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface javax.accessibility.AccessibleComponent

  `addFocusListener, contains, getAccessibleAt, getBackground, getBounds, getCursor, getFont, getFontMetrics, getForeground, getLocation, getLocationOnScreen, getSize, isEnabled, isFocusTraversable, isShowing, isVisible, removeFocusListener, requestFocus, setBackground, setBounds, setCursor, setEnabled, setFont, setForeground, setLocation, setSize, setVisible`

- ## Constructor Details

  - ### AccessibleJTableHeaderEntry

    public AccessibleJTableHeaderEntry​(int c, JTableHeader p, JTable t)
    Constructs an AccessiblJTableHeaaderEntry
    Parameters:
      `c` - the column index
      `p` - the parent `JTableHeader`
      `t` - the table `JTable`
    Since:
      1.4

- ## Method Details

  - ### getAccessibleContext

    public AccessibleContext getAccessibleContext()
    Get the AccessibleContext associated with this object. In the implementation of the Java Accessibility API for this class, returns this object, which serves as its own AccessibleContext.
    Specified by:
      `getAccessibleContext` in interface `Accessible`
    Returns:
      this object

  - ### getAccessibleComponent

    public AccessibleComponent getAccessibleComponent()
    Get the AccessibleComponent associated with this object. In the implementation of the Java Accessibility API for this class, return this object, which is responsible for implementing the AccessibleComponent interface on behalf of itself.
    Overrides:
      `getAccessibleComponent` in class `AccessibleContext`
    Returns:
      this object
    See Also:
      `AccessibleComponent`